package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeType;

import java.util.List;
import java.util.Map;

/**
 * 员工概况Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeTypeService extends IService<PlatEmployeeType> {

    /**
     * 分页查询员工概况列表
     *
     * @param platEmployeeType 员工概况
     * @return 员工概况集合
     */
    public IPage<PlatEmployeeType> pagingPlatEmployeeTypeList(PlatEmployeeType platEmployeeType);

    /**
     * 分页查询员工概况列表
     *
     * @param lqw
     * @return 员工概况集合
     */
    public IPage<PlatEmployeeType> pagingPlatEmployeeTypeList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatEmployeeType> lqw);

    /**
     * 查询员工概况列表
     *
     * @param platEmployeeType 员工概况
     * @return 员工概况集合
     */
    public List<PlatEmployeeType> selectPlatEmployeeTypeList(PlatEmployeeType platEmployeeType);

    /**
     * 查询员工概况列表
     *
     * @param platEmployeeType 员工概况
     * @return 员工概况集合
     */
    public List<PlatEmployeeType> selectPlatEmployeeTypeList(PlatEmployeeType platEmployeeType,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工概况
     */
    public PlatEmployeeType getPlatEmployeeTypeByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工概况
     */
    public PlatEmployeeType getPlatEmployeeTypeByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工概况
     */
    public List<PlatEmployeeType> selectPlatEmployeeTypeListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工概况
     */
    public List<PlatEmployeeType> selectPlatEmployeeTypeListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 添加数据
     */
    public void addPlatEmployeeType(String appOrg,Map<String, Object> mapField);

    /**
     * 员工类型
     */
    public List<Map<String, Object>> getEmployeePieData(String appOrg);

    /**
     * 入楼情况
     */
    public Map<String, Object> getEnterBuildData(String appOrg);

    /**
     * 员工年龄分布情况
     */
    public List<Map<String, Object>> getAgePieData(String appOrg);

    /**
     * 近一周人流量统计
     */
    public Map<String, Object> getChartsFlowData(String appOrg);

    /**
     * 员工性别情况
     */
    public Map<String, Object> getSexChartData(String appOrg);


}
